// TutorialView.h : interface of the CTutorialView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TutorialVIEW_H__365199F0_420A_11D3_A9DB_525400E10345__INCLUDED_)
#define AFX_TutorialVIEW_H__365199F0_420A_11D3_A9DB_525400E10345__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Cube.h"

#define NB_CUBE_X	3
#define NB_CUBE_Y	1
#define NB_CUBE_Z	3
#define CUBE_R		7

class CTutorialView : public CView
{
protected: // create from serialization only
	CTutorialView();
	DECLARE_DYNCREATE(CTutorialView)

// Attributes
public:
	CTutorialDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTutorialView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	bool m_opengl_init;
	CCube * Cube[NB_CUBE_X][NB_CUBE_Y][NB_CUBE_Z];
	BOOL CreateViewGLContext(HDC hDC);
	BOOL SetWindowPixelFormat(HDC hDC);
	virtual ~CTutorialView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	HGLRC m_hGLContext;
	int m_GLPixelIndex;
	//{{AFX_MSG(CTutorialView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TutorialView.cpp
inline CTutorialDoc* CTutorialView::GetDocument()
   { return (CTutorialDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TutorialVIEW_H__365199F0_420A_11D3_A9DB_525400E10345__INCLUDED_)
